--- !ruby/object:RI::ClassDescription 
attributes: []

class_methods: 
- !ruby/object:RI::MethodSummary 
  name: botowner
- !ruby/object:RI::MethodSummary 
  name: defaultbotuser
- !ruby/object:RI::MethodSummary 
  name: manager
- !ruby/object:RI::MethodSummary 
  name: random_password
comment: 
- !ruby/struct:SM::Flow::P 
  body: This module contains the actual Authentication stuff
constants: []

full_name: Irc::Bot::Auth
includes: []

instance_methods: []

name: Auth
superclass: 
